/**
 *
 * $Id: VkSelectionDialog.h,v 1.3 1995/04/20 05:32:07 toshok Exp $
 *
 * This file contains the class definition for 
 * VkSelectionDialog class, my first attempt (even
 * successful) at extending the ViewKit.  Why SGI
 * didn't put a SelectionDialog in theirs is beyond
 * me - toshok
 *
 * Chris Toshok
 * Copyright (C) 1995
 * The Hungry Programmers, Inc
 * All Rights Reserved
 *
 **/

#ifndef VKSELECTIONDIALOG_H
#define VKSELECTIONDIALOG_H

#include <Vk/VkConfig.h>
#include <Vk/VkDialogManager.h>

class VkSelectionDialog : public VkDialogManager {
private:
    XmString *items;
    int _numberOfItems;
    int _maxNumberOfItems;
  
public:
    VkSelectionDialog(const char *name);

    virtual ~VkSelectionDialog();

    virtual Widget createDialog(Widget parent);
    const char *className();

    void addItem(char *item);
    int index(XmString item);
};

#define theSelectionDialog _theSelectionDialogManager

extern VkSelectionDialog *_theSelectionDialogManager;

#endif // VKQUESTIONDIALOG
